## net.i2p.client.streaming
Class PacketQueue

    java.lang.Object
      net.i2p.client.streaming.PacketQueue

class PacketQueue
extends java.lang.Object

Queue out packets to be sent through the session. Well, thats the theory at least... in practice we just send them immediately with no blocking, since the mode=bestEffort doesnt block in the SDK.

Constructor Summary
`PacketQueue(I2PAppContext context, I2PSession session, ConnectionManager mgr)`

Method Summary
`void` `enqueue(PacketLocal packet)` Add a new packet to be sent out ASAP

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PacketQueue

    public PacketQueue(I2PAppContext context,
                       I2PSession session,
                       ConnectionManager mgr)

Method Detail

### enqueue

    public void enqueue(PacketLocal packet)

  Add a new packet to be sent out ASAP